Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# ParsedLineWriter Class Reference
[Viewer/streaming]

## Detailed Description

Static service methods of LineRegion output.

## Static Public Member Functions
static void | tokenWrite (Writer *markupWriter, Writer *textWriter, Hashtable< String * > *docLinkHash, String *line, LineRegion *lineRegions)
| Writes given line of text using list of passed line regions.
static void | markupWrite (Writer *markupWriter, Writer *textWriter, Hashtable< String * > *docLinkHash, String *line, LineRegion *lineRegions)
| Write specified line of text using list of LineRegion's.
static void | htmlRGBWrite (Writer *markupWriter, Writer *textWriter, Hashtable< String * > *docLinkHash, String *line, LineRegion *lineRegions)
| Write specified line of text using list of LineRegion's.
static void | writeStyle (Writer *writer, const StyledRegion *lr)
| Puts into stream style attributes from RegionDefine object.
static void | writeStart (Writer *writer, const StyledRegion *lr)
| Puts into stream starting HTML <span> tag with requested style specification.
static void | writeEnd (Writer *writer, const StyledRegion *lr)
| Puts into stream ending HTML </span> tag.
static void | writeHref (Writer *writer, Hashtable< String * > *docLinkHash, const Scheme *scheme, const String &token, bool start)

## Member Function Documentation

static void ParsedLineWriter::tokenWrite | ( | Writer * | markupWriter,
|  | Writer * | textWriter,
|  | Hashtable< String * > * | docLinkHash,
|  | String * | line,
|  | LineRegion * | lineRegions
| ) | `[inline, static]`

  | Writes given line of text using list of passed line regions. Formats output with class of each token, enclosed in <span class='regionName'>...</span> Parameters:
  | markupWriter | Writer, used for markup output
  | textWriter | Writer, used for text output
  | line | Line of text
  | lineRegions | Linked list of LineRegion structures. Only region references are used there.

static void ParsedLineWriter::markupWrite | ( | Writer * | markupWriter,
|  | Writer * | textWriter,
|  | Hashtable< String * > * | docLinkHash,
|  | String * | line,
|  | LineRegion * | lineRegions
| ) | `[inline, static]`

  | Write specified line of text using list of LineRegion's. This method uses text fields of LineRegion class to enwrap each line region. It uses two Writers - `markupWriter` and `textWriter`. `markupWriter` is used to write markup elements of LineRegion, and `textWriter` is used to write line content. Parameters:
  | markupWriter | Writer, used for markup output
  | textWriter | Writer, used for text output
  | line | Line of text
  | lineRegions | Linked list of LineRegion structures

static void ParsedLineWriter::htmlRGBWrite | ( | Writer * | markupWriter,
|  | Writer * | textWriter,
|  | Hashtable< String * > * | docLinkHash,
|  | String * | line,
|  | LineRegion * | lineRegions
| ) | `[inline, static]`

  | Write specified line of text using list of LineRegion's. This method uses integer fields of LineRegion class to enwrap each line region with generated HTML markup. Each region is Parameters:
  | markupWriter | Writer, used for markup output
  | textWriter | Writer, used for text output
  | line | Line of text
  | lineRegions | Linked list of LineRegion structures

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.